Modify

Opened 4 years ago

Closed 22 months ago

Last modified 14 months ago

#12389 closed defect (fixed)

Asus WL-600G fails to boot trunk. Unable to handle kernel paging.

Reported by: madcat-st@… Owned by: hauke
Priority: highest Milestone: Barrier Breaker 14.07
Component: base system Version: Trunk
Keywords: Cc:

Description

10.03.1 stable boots fine. On booting trunk get kernel panic.

Sorry, serial input is laggy, so collected logs several times.

CPU 0 Unable to handle kernel paging virtual address 08000000, epc == 801a0944, ra == 801a0934
....
801a0944 uhci_reset_hc+0x44/0xa4
...
Modules linked in:
Process swapper (pid: 1, threadinfo=8081a000, task=80818878,  tls=00000000)
...
Kernel panic - not syncing: Attempted to kill init!

Attachments (9)

serial_log.txt (39.6 KB) - added by madcat-st@… 4 years ago.
serial log
serial_log3.txt (8.1 KB) - added by madcat-st@… 3 years ago.
Log from 04 nov build
serial_log1109.txt (8.1 KB) - added by madcat-st@… 3 years ago.
Log from 09 nov build
serial_log1121.txt (8.4 KB) - added by madcat-st@… 3 years ago.
Log from 21 nov build
serial_log1126.txt (8.4 KB) - added by madcat-st@… 3 years ago.
Log from 26 nov build
serial_log1129.txt (8.4 KB) - added by madcat-st@… 3 years ago.
Log from 29 nov build
serial_log1204.txt (8.3 KB) - added by madcat-st@… 3 years ago.
Log from 04 dec build
serial_log1229.txt (8.4 KB) - added by madcat-st@… 3 years ago.
Log from 29 dec build
config (132.6 KB) - added by anonymous 3 years ago.
working config for trunk@36131 without uhci USB

Download all attachments as: .zip

Change History (26)

Changed 4 years ago by madcat-st@…

serial log

Changed 3 years ago by madcat-st@…

Log from 04 nov build

comment:1 Changed 3 years ago by madcat-st@…

Tried the 04 nov build, still no booting. But strangely my console started to produce good output.

Sane log attached (serial_log3.txt​).

Changed 3 years ago by madcat-st@…

Log from 09 nov build

comment:2 Changed 3 years ago by madcat-st@…

Tried the 21 nov. build with new kernel, results the same, kernel panic...

Changed 3 years ago by madcat-st@…

Log from 21 nov build

Changed 3 years ago by madcat-st@…

Log from 26 nov build

Changed 3 years ago by madcat-st@…

Log from 29 nov build

Changed 3 years ago by madcat-st@…

Log from 04 dec build

Changed 3 years ago by madcat-st@…

Log from 29 dec build

comment:3 Changed 3 years ago by dg3obu@…

Tried actual 08 mar build today. Same problem, no boot, kernel panic. I'm sorry, no serial log at the moment

comment:4 Changed 3 years ago by dg3obu@…

Ok, serial interface is ready now, missing log from 08 mar build here

[    0.388000] NET: Registered protocol family 2
[    0.392000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[    0.400000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[    0.408000] TCP: Hash tables configured (established 512 bind 512)
[    0.412000] TCP: reno registered
[    0.416000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.424000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.432000] NET: Registered protocol family 1
[    0.436000] PCI: Enabling device 0000:00:07.0 (0000 -> 0001)
[    0.444000] bcm63xx: PCI IO window assigned to PCI
[    0.448000] CPU 0 Unable to handle kernel paging request at virtual address 08000000, epc == 801b1cb8, ra == 801b1ca8
[    0.460000] Oops[#1]:
[    0.460000] Cpu 0
[    0.460000] $ 0   : 00000000 1000fc00 00000200 3ba3d800
[    0.460000] $ 4   : 1000fc01 0000f80c 00000074 00000002
[    0.460000] $ 8   : 00000049 77206173 7369676e 65642074
[    0.460000] $12   : 4f207769 00000000 00000000 6e646f77
[    0.460000] $16   : 8086bc00 08000000 08000000 00000000
[    0.460000] $20   : 80350000 ffffffff 00000017 80311210
[    0.460000] $24   : 00000001 aa54a054                  
[    0.460000] $28   : 8081e000 8081fd70 802f4318 801b1ca8
[    0.460000] Hi    : 00000000
[    0.460000] Lo    : 0000f80c
[    0.460000] epc   : 801b1cb8 uhci_reset_hc+0x44/0xa0
[    0.460000]     Not tainted
[    0.460000] ra    : 801b1ca8 uhci_reset_hc+0x34/0xa0
[    0.460000] Status: 1000fc03    KERNEL EXL IE 
[    0.460000] Cause : 0080000c
[    0.460000] BadVA : 08000000
[    0.460000] PrId  : 00029107 (Broadcom BMIPS3300)
[    0.460000] Modules linked in:
[    0.460000] Process swapper (pid: 1, threadinfo=8081e000, task=8081c888, tls=00000000)
[    0.460000] Stack : 00002000 1000fc01 8085f600 8086bc00 08000000 8086bc00 08000000 8086bc00
        0000ffff 801b1da4 00000001 8030c820 8031000c 8086bc00 2000ceb8 8086bc00
        0000ffff 8086bc00 802dceb8 8001b6ec 8086bc00 80159e40 00000000 00000006
        00000006 8083f3e0 00010000 80844000 802dcea8 802dceb8 8086bc00 0000ffff
        80350000 ffffffff 00000017 80311210 802f4318 8015e530 00000000 00000000
        ...
[    0.460000] Call Trace:
[    0.460000] [<801b1cb8>] uhci_reset_hc+0x44/0xa0
[    0.460000] [<801b1da4>] uhci_check_and_reset_hc+0x90/0xa8
[    0.460000] [<8001b6ec>] quirk_usb_early_handoff+0x11c/0xab4
[    0.460000] [<8015e530>] pci_fixup_device+0x150/0x1ac
[    0.460000] [<80322254>] pci_apply_final_quirks+0x68/0x128
[    0.460000] [<8001fcc0>] do_one_initcall+0xf0/0x1d0
[    0.460000] [<80311a5c>] kernel_init_freeable+0x13c/0x220
[    0.460000] [<80014c18>] kernel_init+0x18/0xf8
[    0.460000] [<80022dc8>] kernel_thread_helper+0x10/0x18
[    0.460000] 
[    0.460000] 
Code: 8c539ea4  24020200  02538821 <a6220000> 0000000f  0c04ef72  24040005  96220000  00021202 
[    0.652000] ---[ end trace b21c029f91761e5c ]---
[    0.656000] Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[    0.656000] 


Changed 3 years ago by anonymous

working config for trunk@36131 without uhci USB

comment:5 Changed 3 years ago by anonymous

Can be related to http://lkml.indiana.edu/hypermail/linux/kernel/0910.0/01141.html I've build imgage without uhci USB and it boot fine (trunk 36131). Config file is attached.

comment:6 Changed 3 years ago by anonymous

On my WL-600G, disabling compilation of the UHCI module doesn't help; it still goes oops and panics after 'PCI: Enabling device 0000:00:07.0 (0000 -> 0001)'. However, I found that disabling PCI common quirks in 'make kernel_menuconfig' allows the router to boot normally, despite it still going oops. Serial log follows:

CFE version 1.0.37-0.8 for BCM96348 (32bit,SP,BE)
Build Date: ¤@  2¤ë 20 18:37:34 CST 2006 (root@localhost.localdomain)
Copyright (C) 2000,2001,2002,2003 Broadcom Corporation.

Initializing Arena.
Initializing Devices.
CPU type 0x29107: 256MHz, Bus: 128MHz, Ref: 32MHz

Total memory used by CFE:  0x80401000 - 0x805246F0 (1193712)
Initialized Data:          0x8041C680 - 0x8041E080 (6656)
BSS Area:                  0x8041E080 - 0x804226F0 (18032)
Local Heap:                0x804226F0 - 0x805226F0 (1048576)
Stack Area:                0x805226F0 - 0x805246F0 (8192)
Text (code) segment:       0x80401000 - 0x8041C67C (112252)
Boot area (physical):      0x00525000 - 0x00565000
Relocation Factor:         I:00000000 - D:00000000

Board IP address                : 192.168.1.1:ffffff00
Host IP address                 : 192.168.1.100
Gateway IP address              :
Run from flash/host (f/h)       : f
Default host run file name      : vmlinux
Default host flash file name    : bcm963xx_fs_kernel
Boot delay (0-9 seconds)        : 1
Board Id Name                   : 96348GW-10
Psi size in KB                  : 24
Number of MAC Addresses (1-32)  : 11
Base MAC Address                : 00:24:8c:81:e6:a8
Ethernet PHY Type               : Internal
Memory size in MB               : 16

*** Press any key to stop auto run (1 seconds) ***
Auto run second count down: 0
GPIOio_PIN_HIGH is Off
Code Address: 0x80010000, Entry Address: 0x80010000
Decompression OK!
Entry at 0x80010000
Closing network.
Starting program at 0x80010000
[    0.000000] Linux version 3.3.8 (ow@servo) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #1 Sat Apr 6 20:42:39 WEST 2013
[    0.000000] Detected Broadcom 0x6348 CPU revision b0
[    0.000000] CPU frequency is 256 MHz
[    0.000000] 16MB of RAM installed
[    0.000000] registering 37 GPIOs
[    0.000000] gpiochip_add: registered GPIOs 0 to 36 on device: bcm63xx-gpio
[    0.000000] board_bcm963xx: Boot address 0xbfc00000
[    0.000000] board_bcm963xx: CFE version: 1.0.37-0.8
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00029107 (Broadcom BMIPS3300)
[    0.000000] board_bcm963xx: board name: 96348GW-10
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 01000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   Normal   0x00000000 -> 0x00001000
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00001000
[    0.000000] Reserving 0MB of memory at 0MB for crashkernel
[    0.000000] Built 1 zonelists in Zone order, mobility grouping off.  Total pages: 4064
[    0.000000] Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
[    0.000000] PID hash table entries: 64 (order: -4, 256 bytes)
[    0.000000] Dentry cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.000000] Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
[    0.000000] Primary data cache 8kB, 2-way, VIPT, no aliases, linesize 16 bytes
[    0.000000] Memory: 12856k/16384k available (2240k kernel code, 3528k reserved, 551k data, 200k init, 0k highmem)
[    0.000000] NR_IRQS:128
[    0.000000] Calibrating delay loop... 254.46 BogoMIPS (lpj=508928)
[    0.036000] pid_max: default: 32768 minimum: 301
[    0.040000] Mount-cache hash table entries: 512
[    0.056000] NET: Registered protocol family 16
[    0.080000] registering PCI controller with io_map_base unset
[    0.112000] bio: create slab <bio-0> at 0
[    0.124000] PCI host bridge to bus 0000:00
[    0.128000] pci_bus 0000:00: root bus resource [mem 0x30000000-0x37ffffff]
[    0.132000] pci_bus 0000:00: root bus resource [io  0x8000000-0x800ffff]
[    0.184000] pci 0000:00:01.0: BAR 0: assigned [mem 0x30000000-0x30001fff]
[    0.188000] pci 0000:00:07.2: BAR 0: assigned [mem 0x30002000-0x300020ff]
[    0.192000] pci 0000:00:07.0: BAR 4: assigned [io  0x8000000-0x800001f]
[    0.200000] Switching to clocksource MIPS
[    0.216000] PCI: Enabling device 0000:00:01.0 (0000 -> 0002)
[    0.248000] ssb: Found chip with id 0x4318, rev 0x02 and package 0x00
[    0.312000] ssb: Sonics Silicon Backplane found on PCI device 0000:00:01.0
[    0.324000] NET: Registered protocol family 2
[    0.328000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.336000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[    0.344000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[    0.352000] TCP: Hash tables configured (established 512 bind 512)
[    0.356000] TCP reno registered
[    0.360000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.368000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.372000] NET: Registered protocol family 1
[    0.384000] audit: initializing netlink socket (disabled)
[    0.392000] type=2000 audit(0.392:1): initialized
[    0.400000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.404000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.416000] msgmni has been set to 25
[    0.420000] io scheduler noop registered
[    0.424000] io scheduler deadline registered (default)
[    0.436000] bcm63xx_uart.0: ttyS0 at MMIO 0xfffe0300 (irq = 10) is a bcm63xx_uart
[    0.444000] console [ttyS0] enabled, bootconsole disabled
[    0.444000] console [ttyS0] enabled, bootconsole disabled
[    0.464000] physmap platform flash device: 00400000 at 1fc00000
[    0.472000] physmap-flash.0: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x0000c2 Chip ID 0x0022a7
[    0.480000] Amd/Fujitsu Extended Query Table at 0x0040
[    0.488000]   Amd/Fujitsu Extended Query version 1.1.
[    0.492000] physmap-flash.0: Swapping erase regions for top-boot CFI table.
[    0.500000] number of CFI chips: 1
[    0.504000] bcm63xxpart: CFE boot tag found with version 6 and board type 96348GW
[    0.512000] bcm63xxpart: Partition 0 is CFE offset 0 and length 10000
[    0.516000] bcm63xxpart: Partition 1 is kernel offset 10100 and length fff00
[    0.524000] bcm63xxpart: Partition 2 is rootfs offset 110000 and length 2e0000
[    0.532000] bcm63xxpart: Partition 3 is nvram offset 3f0000 and length 10000
[    0.540000] bcm63xxpart: Partition 4 is linux offset 10000 and length 3e0000
[    0.548000] bcm63xxpart: Spare partition is offset 3a0004 and length 4fffc
[    0.556000] 5 bcm63xxpart partitions found on MTD device physmap-flash.0
[    0.560000] Creating 5 MTD partitions on "physmap-flash.0":
[    0.568000] 0x000000000000-0x000000010000 : "CFE"
[    0.580000] 0x000000010100-0x000000110000 : "kernel"
[    0.584000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.604000] 0x000000110000-0x0000003f0000 : "rootfs"
[    0.616000] mtd: partition "rootfs" set to be root filesystem
[    0.620000] mtd: partition "rootfs_data" created automatically, ofs=3A0000, len=50000
[    0.628000] 0x0000003a0000-0x0000003f0000 : "rootfs_data"
[    0.640000] 0x0000003f0000-0x000000400000 : "nvram"
[    0.652000] 0x000000010000-0x0000003f0000 : "linux"
[    0.676000] bcm63xx_enet MII bus: probed
[    0.684000] bcm63xx_enet bcm63xx_enet.0: attached PHY at address 1 [Broadcom BCM63XX (1)]
[    0.704000] bcm63xx-wdt bcm63xx-wdt:  started, timer margin: 30 sec
[    0.720000] TCP cubic registered
[    0.724000] NET: Registered protocol family 17
[    0.728000] 8021q: 802.1Q VLAN Support v1.8
[    0.744000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    0.756000] Freeing unused kernel memory: 200k freed
awk: /proc/cpuinfo: No such file or directory
[    5.044000] eth1: link forced UP - 100/full - flow control off/off
[    5.408000] roboswitch: Probing device eth0: Failed to enable switch
[    5.416000] roboswitch: Probing device eth1: found a 5325! It's a 5350.
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
- regular preinit -
jffs2 not ready yet; using ramdisk
- init -

Please press Enter to activate this console. [   17.148000] Compat-drivers backport release: compat-drivers-2012-09-04-2-gddac993
[   17.156000] Backport based on wireless-testing.git master-2012-09-07
[   17.164000] compat.git: wireless-testing.git
[   17.480000] cfg80211: Calling CRDA to update world regulatory domain
[   17.484000] cfg80211: World regulatory domain updated:
[   17.492000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   17.500000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   17.508000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   17.516000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   17.524000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   17.532000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   18.692000] SCSI subsystem initialized
[   19.188000] usbcore: registered new interface driver usbfs
[   19.192000] usbcore: registered new interface driver hub
[   19.204000] usbcore: registered new device driver usb
[   20.480000] b43-phy0: Broadcom 4318 WLAN found (core revision 9)
[   20.528000] b43-phy0: Found PHY: Analog 3, Type 2 (G), Revision 7
[   20.556000] Broadcom 43xx driver loaded [ Features: PNL ]
[   20.636000] Button Hotplug driver version 0.4.1
[   22.276000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   23.204000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[   23.212000] PCI: Enabling device 0000:00:07.2 (0000 -> 0002)
[   23.216000] ehci_hcd 0000:00:07.2: EHCI Host Controller
[   23.224000] ehci_hcd 0000:00:07.2: new USB bus registered, assigned bus number 1
[   23.232000] ehci_hcd 0000:00:07.2: irq 32, io mem 0x30002000
[   23.252000] ehci_hcd 0000:00:07.2: USB 2.0 started, EHCI 1.00
[   23.260000] hub 1-0:1.0: USB hub found
[   23.264000] hub 1-0:1.0: 2 ports detected
[   23.500000] nf_conntrack version 0.5.0 (204 buckets, 816 max)
[   25.464000] xt_time: kernel timezone is -0000
[   26.320000] arp_tables: (C) 2002 David S. Miller
[   26.868000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[   26.980000] bcm63xx_ohci bcm63xx_ohci.0: BCM63XX integrated OHCI controller
[   26.984000] bcm63xx_ohci bcm63xx_ohci.0: new USB bus registered, assigned bus number 2
[   26.992000] bcm63xx_ohci bcm63xx_ohci.0: irq 20, io mem 0xfffe1b00
[   27.060000] hub 2-0:1.0: USB hub found
[   27.064000] hub 2-0:1.0: 1 port detected
[   27.264000] uhci_hcd: USB Universal Host Controller Interface driver
[   27.272000] PCI: Enabling device 0000:00:07.0 (0000 -> 0001)
[   27.280000] uhci_hcd 0000:00:07.0: UHCI Host Controller
[   27.284000] uhci_hcd 0000:00:07.0: new USB bus registered, assigned bus number 3
[   27.292000] CPU 0 Unable to handle kernel paging request at virtual address 08000010, epc == 80bda1ac, ra == 804e6af4
[   27.304000] Oops[#1]:
[   27.304000] Cpu 0
[   27.304000] $ 0   : 00000000 1000fc00 00000000 08000010
[   27.304000] $ 4   : 80dace00 0000002f 0000ffff 00000008
[   27.304000] $ 8   : 00000000 00000000 00000000 00000000
[   27.304000] $12   : 00000000 00000000 00000200 00000e00
[   27.304000] $16   : 80dace00 80daced8 00000080 80dace90
[   27.304000] $20   : 00000020 80500000 804f8bf8 00000020
[   27.304000] $24   : 00000002 00000000
[   27.304000] $28   : 803f6000 803f7c50 00000124 804e6af4
[   27.304000] Hi    : 00000000
[   27.304000] Lo    : 00000000
[   27.304000] epc   : 80bda1ac 0x80bda1ac
[   27.304000]     Tainted: G           O
[   27.304000] ra    : 804e6af4 usb_add_hcd+0x218/0x700 [usbcore]
[   27.304000] Status: 1000fc03    KERNEL EXL IE
[   27.304000] Cause : 00800008
[   27.304000] BadVA : 08000010
[   27.304000] PrId  : 00029107 (Broadcom BMIPS3300)
[   27.304000] Modules linked in: uhci_hcd(+) ohci_hcd ledtrig_usbdev ledtrig_heartbeat arptable_filter arpt_mangle arp_tables nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd sd_mod ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables msdos ifb vfat fat button_hotplug(O) b43(O) bcma nls_utf8 nls_iso8859_1 nls_cp850 nls_cp437 mac80211(O) usbcore usb_common scsi_mod nls_base ts_fsm ts_bm ts_kmp crc_ccitt input_polldev cfg80211(O) compat(O) input_core arc4 aes_generic crypto_algapi switch_adm(O) switch_robo(O) switch_core(O)
[   27.304000] Process insmod (pid: 503, threadinfo=803f6000, task=80ca0530, tls=77d6e440)
[   27.304000] Stack : 30343800 8013b698 80dace00 80500000 00000080 80dace00 ffffffea 804e6af4
[   27.304000]         8086b800 8013e350 00000003 00000000 00000016 80ca0530 80c44000 8086b800
[   27.304000]         80dace00 8086b800 80dace00 8086b870 80bdc74c 00000001 802bb2ac 00000000
[   27.304000]         00000020 804f3404 00000000 00000001 8086b800 8015ca00 00000000 8086b860
[   27.304000]         ffffffed 00000000 8086b860 8086b800 80bdcb60 804f3190 80300000 00000028
[   27.304000]         ...
[   27.304000] Call Trace:
[   27.304000] [<80bda1ac>] 0x80bda1ac
[   27.304000]
[   27.304000]
[   27.304000] Code: 00001021  082f6877  3406ffff
[   27.304000]  30a5ffff  00052200  00052a02  00852025  3084ffff
[   27.540000] ---[ end trace 17a15f5da7dcafc7 ]---
[   27.844000] i2c /dev entries driver
[   28.196000] usbcore: registered new interface driver usblp
[   28.280000] Initializing USB Mass Storage driver...
[   28.284000] usbcore: registered new interface driver usb-storage
[   28.292000] USB Mass Storage support registered.
[   28.300000] hub 2-0:1.0: over-current condition
[   28.352000] usbcore: registered new interface driver ums-alauda
[   28.408000] usbcore: registered new interface driver ums-cypress
[   28.464000] usbcore: registered new interface driver ums-datafab
[   28.520000] usbcore: registered new interface driver ums-freecom
[   28.576000] usbcore: registered new interface driver ums-isd200
[   28.632000] usbcore: registered new interface driver ums-jumpshot
[   28.688000] usbcore: registered new interface driver ums-karma
[   28.744000] usbcore: registered new interface driver ums-sddr09
[   28.804000] usbcore: registered new interface driver ums-sddr55
[   28.860000] usbcore: registered new interface driver ums-usbat
[   28.916000] input: gpio-keys-polled as /devices/platform/gpio-keys-polled.0/input/input0
[   29.192000] bcm63xx-spi bcm63xx-spi: at 0xfffe0c00 (irq 9, FIFOs size 63) v0.1.2
[   38.268000] eth1: link forced UP - 100/full - flow control off/off
[   38.280000] device eth1 entered promiscuous mode
[   38.300000] br-lan: port 1(eth1) entered forwarding state
[   38.304000] br-lan: port 1(eth1) entered forwarding state
[   40.308000] br-lan: port 1(eth1) entered forwarding state
[   93.772000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x0
[   93.780000] jffs2_build_filesystem(): unlocking the mtd device... done.
[   93.788000] jffs2_build_filesystem(): erasing all blocks after the end marker... done.
[   96.824000] JFFS2 notice: (1384) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 orphan) found.



BusyBox v1.19.4 (2013-04-06 20:16:00 WEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Attitude Adjustment, r36088)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/#

comment:7 follow-up: Changed 3 years ago by hauke

  • Owner changed from developers to hauke
  • Status changed from new to assigned

Does this problem still occur in current trunk?

comment:8 in reply to: ↑ 7 Changed 3 years ago by filda.v@…

I have the same question...Is there any progress about the issue?
I tried to use the last trunk image (openwrt-96348GW-generic-squashfs-cfe.bin) but my router haven't booted yet. Unfortunatelly I don't have a serial (console) connetion to my WL-600G router and I don't know where the router finish at boot process...

comment:9 Changed 3 years ago by mikebounds@…

This thread starts off by saying:
"10.03.1 stable boots fine"
Does this include loading the uhci module as I cannot get this to load on my wl600g
I am using svn://svn.openwrt.org/openwrt/tags/backfire_10.03.1 release 30476 and when I try to load uhci,the kernel does not panic, but USB 1.1 does not work - dmesg shows:
uhci_hcd: USB Universal Host Controller Interface driver
PCI: Enabling device 0000:00:07.0 (0000 -> 0001)
uhci_hcd 0000:00:07.0: UHCI Host Controller
uhci_hcd 0000:00:07.0: new USB bus registered, assigned bus number 1
CPU 0 Unable to handle kernel paging request at virtual address 08000010, epc == 80f74340, ra == 804a6918
Oops#1:
Cpu 0
$ 0 : 00000000 10008400 00000001 00000010
$ 4 : 00000000 00000008 08000010 0000ffff
$ 8 : 00000000 00000000 0000000a 000000cd
$12 : 00000001 80803f90 ffffffff 65726564
$16 : 80c05ab8 00000000 80c05a00 80cd2000
$20 : 000000a0 00000005 00000020 00000006
$24 : 00000010 00000000
$28 : 804d6000 804d7cd0 80282340 804a6918
Hi : 00000000
Lo : 00000001
epc : 80f74340 0x80f74340

Not tainted

ra : 804a6918 usb_add_hcd+0x220/0x664 [usbcore]
Status: 10008403 KERNEL EXL IE
Cause : 00800008
BadVA : 08000010
PrId : 00029107 (Broadcom BCM6348)
Modules linked in: uhci_hcd(+) usb_storage evdev nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack sd_mod pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc vfat fat b43 nls_iso8859_1 nls_cp437 mac80211 usbcore switch_adm switch_robo switch_core scsi_mod nls_base crc_ccitt cfg80211 compat input_core arc4 aes_generic deflate ecb cbc
Process insmod (pid: 949, threadinfo=804d6000, task=804e9670, tls=00000000)
Stack : 804d7cd8 00000000 804c0000 00000000 80c05a00 804c0000 00000000 804a6918

804d7cf8 80f74720 80853880 00000001 00014720 80813000 00000020 8018d7c4
00000000 00000020 80c05a00 80813070 80813000 00000005 80f7472c 804b2cec
00000001 00000000 80813000 8015b354 00000000 800e58b4 80f74b60 80f74b30
80813000 80f74b60 80289640 00000000 0040819c 00000002 7fef1178 80142354
...

Call Trace:
[<80f74340>] 0x80f74340

Code: 00032842 083dd0dc 3407ffff <94c20000> 3042ffff 00021a02 00021200 00431025 3043ffff
Disabling lock debugging due to kernel taint

If I installed kmod-usb2, then USB2 works fine and I am able to mount partition, but I am unable to see any USB1.1 devices - in particular a USB HID remote.

Has anyone got USB1.1 to work on Asus WL-600g. I have an Asus WL500g and an Alcatel-Sbell RG100A-AA and USB1.1 works ok on these, but they use OHCI, rather then UHCI.

Mike

comment:10 Changed 2 years ago by filda.v@…

A few months ago I finally connected serial console to my WL-600g and my target was to use my WL-600g as file/samba server with external HDD on USB port.

By reason of issue "kernel panic" when you boot with release AA 12.09 on WL-600g I only focused:
1) OpenWRT BackFire 10.03.1;
2) OpenWRT latest trunk (see below);

In both cases I met with problem of insufficient memory to install SAMBA.
Interesting is if I can't install any packages by reason of memory lack, the router in some cases also finished in "KERNEL PANIC" state.
This behavior guided me to idea there can be the same problem as standard image AA 12.09 or TRUNK crashes during boot process with "KERNEL PANIC".
Next reason confirms this idea is mentioned on main page openwrt.org for AA 12.09: Known Issues:
Lower end devices with only 16 MiB RAM will easily run out of Memory, for bcm47xx based devices is Backfire with brcm-2.4 recommended.

I tried to build according to "http://wiki.openwrt.org/doc/howto/buildroot.exigence" the smallest image size (with support USB, mount of filesystem, extroot) direct after boot of the image (without need for install any next packages).
My image size was 2,2MB (exludeded all unnecessary modules NAT, DHCP, IPv6, Wireless and maybe some others but included kmod-usb2, kmod-usb-core, kmod-nls-base, kmod-usb-storage, kmod-scsi-core, block-mount, kmod-fs-ext4, kmod-crc16, kmod-fs-mbcache, kmod-fs-vfat, kmod-nls-cp437, kmod-nls-iso8859-1).

With this image (trunk r39770) the router boots fine and both USB ports are detected and activated at boot process and it seems to work fine.

NOTICE: I had prepared USB stick before with a few paritions one for extroot (ext2) and next for swap (formated as swap).

Filip

CFE version 1.0.37-0.8 for BCM96348 (32bit,SP,BE)
Build Date: ¤@  2¤ë 20 18:37:34 CST 2006 (root@localhost.localdomain)
Copyright (C) 2000,2001,2002,2003 Broadcom Corporation.

Initializing Arena.
Initializing Devices.
CPU type 0x29107: 256MHz, Bus: 128MHz, Ref: 32MHz

Total memory used by CFE:  0x80401000 - 0x805246F0 (1193712)
Initialized Data:          0x8041C680 - 0x8041E080 (6656)
BSS Area:                  0x8041E080 - 0x804226F0 (18032)
Local Heap:                0x804226F0 - 0x805226F0 (1048576)
Stack Area:                0x805226F0 - 0x805246F0 (8192)
Text (code) segment:       0x80401000 - 0x8041C67C (112252)
Boot area (physical):      0x00525000 - 0x00565000
Relocation Factor:         I:00000000 - D:00000000

Board IP address                : 192.168.1.1:ffffff00  
Host IP address                 : 192.168.1.100  
Gateway IP address              :   
Run from flash/host (f/h)       : f  
Default host run file name      : vmlinux  
Default host flash file name    : bcm963xx_fs_kernel  
Boot delay (0-9 seconds)        : 1  
Board Id Name                   : 96348GW-10  
Psi size in KB                  : 24
Number of MAC Addresses (1-32)  : 11  
Base MAC Address                : 00:26:18:13:8f:87  
Ethernet PHY Type               : Internal
Memory size in MB               : 16

*** Press any key to stop auto run (1 seconds) ***
Auto run second count down: 110
GPIOio_PIN_HIGH is Off
Code Address: 0x80010000, Entry Address: 0x80010000
Decompression OK!
Entry at 0x80010000
Closing network.
Starting program at 0x80010000
[    0.000000] Linux version 3.10.32 (beranf@debian) (gcc version 4.6.4 (OpenWrt/Linaro GCC 4.6-2013.05 r39770) ) #1 Sat Mar 1 16:27:53 CET 2014
[    0.000000] Detected Broadcom 0x6348 CPU revision b0
[    0.000000] CPU frequency is 256 MHz
[    0.000000] 16MB of RAM installed
[    0.000000] registering 37 GPIOs
[    0.000000] board_bcm963xx: Boot address 0xbfc00000
[    0.000000] board_bcm963xx: CFE version: 1.0.37-0.8
[    0.000000] bcm63xx_nvram: nvram checksum failed, contents may be invalid (expected 00305833, got 099fde2b)
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00029107 (Broadcom BMIPS3300)
[    0.000000] board_bcm963xx: board name: 96348GW-10
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 01000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x00ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x00ffffff]
[    0.000000] Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
[    0.000000] Primary data cache 8kB, 2-way, VIPT, no aliases, linesize 16 bytes
[    0.000000] Built 1 zonelists in Zone order, mobility grouping off.  Total pages: 4064
[    0.000000] Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
[    0.000000] PID hash table entries: 64 (order: -4, 256 bytes)
[    0.000000] Dentry cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.000000] Memory: 12700k/16384k available (2333k kernel code, 3684k reserved, 613k data, 252k init, 0k highmem)
[    0.000000] NR_IRQS:256
[    0.000000] Calibrating delay loop... 254.46 BogoMIPS (lpj=508928)
[    0.036000] pid_max: default: 32768 minimum: 301
[    0.040000] Mount-cache hash table entries: 512
[    0.052000] NET: Registered protocol family 16
[    0.076000] registering PCI controller with io_map_base unset
[    0.104000] bio: create slab <bio-0> at 0
[    0.116000] PCI host bridge to bus 0000:00
[    0.120000] pci_bus 0000:00: root bus resource [mem 0x30000000-0x37ffffff]
[    0.124000] pci_bus 0000:00: root bus resource [io  0x8000000-0x800ffff]
[    0.128000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.176000] pci 0000:00:01.0: BAR 0: assigned [mem 0x30000000-0x30001fff]
[    0.180000] pci 0000:00:07.2: BAR 0: assigned [mem 0x30002000-0x300020ff]
[    0.184000] pci 0000:00:07.0: BAR 4: assigned [io  0x8000000-0x800001f]
[    0.192000] Switching to clocksource MIPS
[    0.208000] PCI: Enabling device 0000:00:01.0 (0000 -> 0002)
[    0.240000] ssb: Found chip with id 0x4318, rev 0x02 and package 0x00
[    0.304000] ssb: Sonics Silicon Backplane found on PCI device 0000:00:01.0
[    0.316000] NET: Registered protocol family 2
[    0.320000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[    0.328000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[    0.336000] TCP: Hash tables configured (established 512 bind 512)
[    0.340000] TCP: reno registered
[    0.344000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.352000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.360000] NET: Registered protocol family 1
[    0.364000] PCI: Enabling device 0000:00:07.0 (0000 -> 0001)
[    0.372000] PCI: Enabling device 0000:00:07.2 (0000 -> 0002)
[    0.384000] audit: initializing netlink socket (disabled)
[    0.392000] type=2000 audit(0.392:1): initialized
[    0.396000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.404000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.416000] msgmni has been set to 24
[    0.420000] io scheduler noop registered
[    0.424000] io scheduler deadline registered (default)
[    0.436000] bcm63xx_uart.0: ttyS0 at MMIO 0xfffe0300 (irq = 10) is a bcm63xx_uart
[    0.444000] console [ttyS0] enabled, bootconsole disabled
[    0.444000] console [ttyS0] enabled, bootconsole disabled
[    0.464000] physmap platform flash device: 00400000 at 1fc00000
[    0.468000] physmap-flash.0: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x0000c2 Chip ID 0x0022a7
[    0.480000] Amd/Fujitsu Extended Query Table at 0x0040
[    0.488000]   Amd/Fujitsu Extended Query version 1.1.
[    0.492000] physmap-flash.0: Swapping erase regions for top-boot CFI table.
[    0.500000] number of CFI chips: 1
[    0.504000] bcm63xxpart: CFE boot tag found with version 6 and board type 96348GW
[    0.512000] bcm63xxpart: Partition 0 is CFE offset 0 and length 10000
[    0.516000] bcm63xxpart: Partition 1 is kernel offset 10100 and length 10ff00
[    0.524000] bcm63xxpart: Partition 2 is rootfs offset 120000 and length 2d0000
[    0.532000] bcm63xxpart: Partition 3 is nvram offset 3f0000 and length 10000
[    0.540000] bcm63xxpart: Partition 4 is linux offset 10000 and length 3e0000
[    0.548000] bcm63xxpart: Spare partition is offset 220004 and length 1cfffc
[    0.552000] 5 bcm63xxpart partitions found on MTD device physmap-flash.0
[    0.560000] Creating 5 MTD partitions on "physmap-flash.0":
[    0.568000] 0x000000000000-0x000000010000 : "CFE"
[    0.576000] 0x000000010100-0x000000120000 : "kernel"
[    0.584000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.600000] 0x000000120000-0x0000003f0000 : "rootfs"
[    0.612000] mtd: device 2 (rootfs) set to be root filesystem
[    0.620000] mtd: partition "rootfs_data" created automatically, ofs=0x220000, len=0x1d0000
[    0.628000] 0x000000220000-0x0000003f0000 : "rootfs_data"
[    0.640000] 0x0000003f0000-0x000000400000 : "nvram"
[    0.652000] 0x000000010000-0x0000003f0000 : "linux"
[    0.664000] bcm63xx-spi bcm63xx-spi: at 0xfffe0c00 (irq 9, FIFOs size 63)
[    0.692000] libphy: bcm63xx_enet MII bus: probed
[    0.696000] bcm63xx_enet bcm63xx_enet.0: attached PHY at address 1 [Broadcom BCM63XX (1)]
[    0.712000] libphy: bcm63xx_enet MII bus: probed
[    0.720000] b53_common: found switch: BCM5325, rev 0
[    0.724000] bcm63xx_enet bcm63xx_enet.1: attached PHY at address 0 [Broadcom B53 (1)]
[    0.740000] bcm63xx-wdt bcm63xx-wdt:  started, timer margin: 30 sec
[    0.760000] TCP: cubic registered
[    0.760000] NET: Registered protocol family 17
[    0.768000] 8021q: 802.1Q VLAN Support v1.8
[    0.788000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    0.800000] Freeing unused kernel memory: 252K (802f1000 - 80330000)
procd: Console is alive
procd: - watchdog -
procd: - preinit -
ifconfig: SIOCGIFFLAGS: No such device
Press the [f] key and hit [enter] to enter failsafe mode
Press the [1], [2], [3] or [4] key and hit [enter] to select the debug level
[    5.404000] usbcore: registered new interface driver usbfs
[    5.412000] usbcore: registered new interface driver hub
[    5.416000] usbcore: registered new device driver usb
[    5.436000] Button Hotplug driver version 0.4.1
[    5.568000] SCSI subsystem initialized
[    5.596000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    5.604000] ehci-platform: EHCI generic platform driver
[    5.616000] ehci-pci: EHCI PCI platform driver
[    5.624000] ehci-pci 0000:00:07.2: EHCI Host Controller
[    5.628000] ehci-pci 0000:00:07.2: new USB bus registered, assigned bus number 1
[    5.640000] ehci-pci 0000:00:07.2: irq 32, io mem 0x30002000
[    5.656000] ehci-pci 0000:00:07.2: USB 2.0 started, EHCI 1.00
[    5.664000] hub 1-0:1.0: USB hub found
[    5.668000] hub 1-0:1.0: 2 ports detected
[    5.696000] usbcore: registered new interface driver usb-storage
[    5.708000] input: gpio-keys-polled as /devices/platform/gpio-keys-polled.0/input/input0
[    5.984000] usb 1-2: new high-speed USB device number 2 using ehci-pci
[    6.140000] usb-storage 1-2:1.0: USB Mass Storage device detected
[    6.148000] scsi0 : usb-storage 1-2:1.0
[    7.156000] scsi 0:0:0:0: Direct-Access     Generic  Flash Disk       8.07 PQ: 0 ANSI: 2
[    7.176000] sd 0:0:0:0: [sda] 7886848 512-byte logical blocks: (4.03 GB/3.76 GiB)
[    7.188000] sd 0:0:0:0: [sda] Write Protect is off
[    7.196000] sd 0:0:0:0: [sda] No Caching mode page found
[    7.200000] sd 0:0:0:0: [sda] Assuming drive cache: write through
[    7.216000] sd 0:0:0:0: [sda] No Caching mode page found
[    7.224000] sd 0:0:0:0: [sda] Assuming drive cache: write through
[    7.232000]  sda: sda1 sda2 sda3 sda4
[    7.252000] sd 0:0:0:0: [sda] No Caching mode page found
[    7.260000] sd 0:0:0:0: [sda] Assuming drive cache: write through
[    7.264000] sd 0:0:0:0: [sda] Attached SCSI removable disk
kmod: ran 1 iterations
[    8.788000] jffs2: notice: (258) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (0 unchecked, 0 orphan) and 9 of xref (0 dead, 2 orphan) found.
[    8.812000] EXT4-fs (sda2): mounting ext2 file system using the ext4 subsystem
[    8.832000] EXT4-fs (sda2): warning: mounting unchecked fs, running e2fsck is recommended
[    8.844000] EXT4-fs (sda2): mounted filesystem without journal. Opts: 
mount_root: switched to extroot
ifconfig: SIOCGIFFLAGS: No such device
procd: - early -
procd: - watchdog -
[    9.672000] Adding 131068k swap on /dev/sda1.  Priority:-1 extents:1 across:131068k 
procd: - ubus -
procd: - init -
Please press Enter to activate this console.
[   10.340000] EXT4-fs (sda3): mounting ext3 file system using the ext4 subsystem
[   11.104000] EXT4-fs (sda3): mounted filesystem with ordered data mode. Opts: 
[   19.472000] eth1: link UP - 100/full - flow control off
[   19.864000] device eth1 entered promiscuous mode
[   19.876000] br-lan: port 1(eth1) entered forwarding state
[   19.880000] br-lan: port 1(eth1) entered forwarding state
[   21.476000] eth1: link UP - 100/full - flow control off
[   21.884000] br-lan: port 1(eth1) entered forwarding state
procd: - init complete -



BusyBox v1.19.4 (2014-03-01 16:15:57 CET) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 BARRIER BREAKER (Bleeding Edge, r39770)
 -----------------------------------------------------
  * 1/2 oz Galliano         Pour all ingredients into
  * 4 oz cold Coffee        an irish coffee mug filled
  * 1 1/2 oz Dark Rum       with crushed ice. Stir.
  * 2 tsp. Creme de Cacao
 -----------------------------------------------------
root@OpenWrt:/# 
root@OpenWrt:/# 
root@OpenWrt:/# 
root@OpenWrt:/# df -h
Filesystem                Size      Used Available Use% Mounted on
rootfs                  247.9M      2.0M    233.1M   1% /
/dev/root                 1.0M      1.0M         0 100% /rom
tmpfs                     6.3M     16.0K      6.3M   0% /tmp
/dev/sda2               247.9M      2.0M    233.1M   1% /overlay
overlayfs:/overlay      247.9M      2.0M    233.1M   1% /
tmpfs                   512.0K         0    512.0K   0% /dev
/dev/sda3               487.9M      4.9M    457.4M   1% /mnt/sda3
root@OpenWrt:/# 
root@OpenWrt:/# 
root@OpenWrt:/# free
root@OpenWrt:/# free 
             total         used         free       shared      buffers
Mem:         12952        11144         1808            0         1376
-/+ buffers:               9768         3184
Swap:       131068            0       131068
root@OpenWrt:/# 
root@OpenWrt:/# 
root@OpenWrt:/# 

comment:11 follow-up: Changed 22 months ago by hauke

  • Resolution set to fixed
  • Status changed from assigned to closed

10.03.1 is not supported any more and it sounds like this does not happen in trunk any more when there are not too many packages loaded. We now have a legecy profile which does not consume so much memory, you could try that.

comment:12 in reply to: ↑ 11 Changed 22 months ago by filda.v@…

Replying to hauke:

10.03.1 is not supported any more and it sounds like this does not happen in trunk any more when there are not too many packages loaded. We now have a legecy profile which does not consume so much memory, you could try that.

Hi Hauke,
what do You mean by "legacy profile". I don't see any name of image containing word "legacy" in /snapshots/trunk/brcm63xx/

Filda

comment:13 Changed 22 months ago by hauke

Sorry I mixed this up with brcm47xx, there is no legacy profile for bcm63xx. But still 16MB Ram are very little and this could cause some problems.

comment:14 Changed 21 months ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:15 Changed 21 months ago by filda.v@…

Is it possible to add specific image for Asus WL600g with minimal size prepared to use only with extRoot in barrier_breaker or at least in trunk?
Or what everything is necessary to pass (to do) If I would like add new image to standard images on download page under the specific architecture?

comment:16 follow-up: Changed 15 months ago by anonymous

Is there any working image based on 14.07 for WL-600G?

comment:17 in reply to: ↑ 16 Changed 14 months ago by filda.v@…

Replying to anonymous:

Is there any working image based on 14.07 for WL-600G?

Unfortunately, default compiled image based on 14.07 isn't for WL-600G. The reason is clear, the router has too less memory for all toady's standard required network features.
But if you still need to run owrt release 14.07 on WL-600G you have to build your customized lightened image. It depends on your goals to what the device you want to use.

After a few experiments and tests with various releases (10.03, RC3 14.07, Trunk) I decided a half year ago to use RC3 14.07 ligtened customized image (without SSH, USB, IPv6, DSL, LuCI, and other unnecessary packages for my using..., but include TELNET, DHCP, NAT, FIREWALL, Proprietary BCM43xx). The image size is only 2,5MB and router have been working without any problems for all the time (wireless, NAT (LAN<->WAN)).
The router is configured only via telnet from command line! Config file to build the image, see in attachment.
Note: The router has very limited routing performance between vlans (LAN <-> WAN) maximum about 20Mbps. So I use it only as a home router with NAT on site where internet line is 10Mbps. If your goal is the same as mine (you don't require ipv6, usb ports, dsl, Web User Interface, ....) and prefer config via telnet send me an email and I will send you the compiled image ;-)

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.